---
- name: Install all the required packages for KNMI
  hosts: localhost
  vars:
    ansible_python_interpreter: /usr/bin/python
  gather_facts: false
  tasks:
    - name: Wait for system to become reachable
      wait_for_connection:
        timeout: 300

    - name: Gather facts for first time
      setup:

    - name: Check if OS is CentOS and include CentOS task
      when: ansible_distribution == 'CentOS'
      include: tasks/centos.yml

    - name: Check if OS is Fedora31 and include Fedora 31 task
      when: ansible_distribution == 'Fedora'
      include: tasks/fedora31.yml
